local ggsTrading = ...

-- This file sets the trading values for Hamlet.  

-- It is fairly self explanatory.   If you would like them to buy/sell the full quantity every time, set ReplenishingAmount to the same as the Quantity in ResourceMaxAmount.   A ResourceTradingReplenishDelay of 0.5 should have them replenish after every single visit.  Raising this will make them replenish LESS often.  Max value is 1.0.

ggsTrading:log("Adding Village of Hamlet...")

ggsTrading:register({
    DataType = "TRADING_VILLAGE",
    Id = "VILLAGE_HAMLET",
    VillageName = "Hamlet",
    UnlockCost = {
        { Resource = "POLISHED_STONE", Quantity = 20 }
    },
	ResourceTradingReplenishDelay = 0.5,
    BuyingResourceList = {
        {
            ResourceMaxAmount = { Resource = "CHEESE", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD", Quantity = 20 }
        },
        {
            ResourceMaxAmount = { Resource = "BEER", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD", Quantity = 20 }
        },
        {
            ResourceMaxAmount = { Resource = "BOAR", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD", Quantity = 40 }
        },
        {
            ResourceMaxAmount = { Resource = "WOOLEN_CLOTH", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD", Quantity = 7 }
        }
    },
    SellingResourceList={
        {
			ResourceMaxAmount = { Resource = "WOOD", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD", Quantity = 4 },
		},
        {
			ResourceMaxAmount = { Resource = "HONEY", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD", Quantity = 30 },
		},
		{
			ResourceMaxAmount = { Resource = "CLOTHES", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD", Quantity = 15 }
		},
		{
			ResourceMaxAmount = { Resource = "STONE", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD", Quantity = 4 }
		},
		{
			ResourceMaxAmount = { Resource = "WHEAT", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD", Quantity = 5 }
		}
    },
    Allegeance = "CLERGY"
})
